
Katello - Bug #5154

Katello manifest upload is not working

04/10/2014 09:58 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

One gets a 401 "unauthenicated user" error when uploading a manifest/

Goto

1) Login as admin

2) Pick ACME_Corp as the org

3) Goto http://&lt;fqdn&gt;/katello/subscriptions/all

4) Assuming ACME doesnt already have a manifest uploaded.. Select a manifest zip or any file for that matter...

5) Click upload

You get 401 unauthenticated user error from the server log.

The offending commit seems to be https://github.com/theforeman/foreman/commit/73f99b5c79de3d2a6b65e8833c6be72117ca1257

Associated revisions

Revision 15371ffd - 04/11/2014 04:05 PM - Partha Aji

Fixes #5154 - CSRF related ng upload issue

Fixes the following cases

1) Manifest Import

2) Repository Info puppet module upload

3) Gpg key upload

After the following change in foreman https://github.com/theforeman/foreman/commit/73f99b5c79de3d2a6b65e8833c6be72117ca1257

the upload code would stop working because csrf tokens were not

being sent as a part of the session.

This commit fixes that issue

Revision 12d4fcd2 - 04/11/2014 08:05 PM - Partha Aji

Fixes #5154 - CSRF related ng upload issue

Fixes the following cases

1) Manifest Import

2) Repository Info puppet module upload

3) Gpg key upload

After the following change in foreman https://github.com/theforeman/foreman/commit/73f99b5c79de3d2a6b65e8833c6be72117ca1257

the upload code would stop working because csrf tokens were not

being sent as a part of the session.

This commit fixes that issue

Revision 84cd57da - 04/11/2014 08:32 PM - Partha Aji

Merge pull request #3976 from parthaa/csrf

Fixes #5154 - CSRF related ng upload issue

History

#1 - 04/10/2014 09:58 PM - Partha Aji

05/17/2024 1/2

http://&lt;fqdn&gt;/katello/subscriptions/all
https://github.com/theforeman/foreman/commit/73f99b5c79de3d2a6b65e8833c6be72117ca1257
https://github.com/theforeman/foreman/commit/73f99b5c79de3d2a6b65e8833c6be72117ca1257
https://github.com/theforeman/foreman/commit/73f99b5c79de3d2a6b65e8833c6be72117ca1257


Temporary Work Around: Pick the commit before this commit

git checkout db999987b0e4d5c113a7cb2326e79e1887b5c90e

#2 - 04/11/2014 08:53 PM - Partha Aji

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:12d4fcd2b576119691f9728c8f0f89ef77311f38.

#3 - 06/06/2014 01:34 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
